Subject: [Curdle] Call to adopt draft-ietf-curdle-rc4-die-die-die

From: "Salz, Rich" <[email-masked]>
Date: Mon, 7 Aug 2017 20:21:08 +0000

I mistakenly marked this as adopted before the WG considered it.

This draft would mark RC4 (and its "other name" arcfour) as a MUST NOT in all IETF protocols.  Quoting the abstract:

   RC4 is extremely weak as shown by RFC 6649 and RFC 7457, is
   prohibited in TLS by RFC 7465, is prohibited in Kerberos by RFC xxxx
   and it needs to be prohibited in all IETF protocols. This document
   obsoletes RFC 4345 "Improved Arcfour Modes for the Secure Shell (SSH)
   Transport Layer Protocol" (note Arcfour and RC4 are synonymous).
   RFC 3501, RFC 4253, RFC 6649 and RFC 6733 are updated to note the
   deprecation of RC4 in all IETF protocols.

Does anyone see a reason why the WG should not adopt this?  Please speak up by the end of the week.  As a reminder, adoption does not mean the document is ready; it turns change control over to the IETF and the WG can decide to change anything about it.  Todd Short has already posted some comments, for example.
--  
Senior Architect, Akamai Technologies
Member, OpenSSL Dev Team
IM: [email-masked] Twitter: RichSalz

-----Original Message-----
From: IETF Secretariat [mailto:[email-masked]] 
Sent: Monday, August 07, 2017 4:18 PM
To: [email-masked]; [email-masked]
Subject: IETF WG state changed for draft-ietf-curdle-rc4-die-die-die

The IETF WG state of draft-ietf-curdle-rc4-die-die-die has been changed to "Call For Adoption By WG Issued" from "WG Document" by Rich Salz:

https://datatracker.ietf.org/doc/draft-ietf-curdle-rc4-die-die-die/

Comment:
Erroneously accepted by co-chair without formal adoption.

---

From: "Mark D. Baushke" <[email-masked]>
Date: Mon, 7 Aug 2017 13:28:29 -0700

I believe adoption of this draft in the Curdle WG is in scope.

It would be good to obsolete RC4 as soon as possible.

	-- Mark

---

From: Daniel Migault <[email-masked]>
Date: Mon, 7 Aug 2017 21:39:53 -0400

I am also in favor of adopting the draft
Yours,
Daniel

On Mon, Aug 7, 2017 at 4:28 PM, Mark D. Baushke <[email-masked]> wrote:

> _______________________________________________
> Curdle mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/curdle
>

---

From: Loganaden Velvindron <[email-masked]>
Date: Tue, 8 Aug 2017 11:25:25 +0400

>> It would be good to obsolete RC4 as soon as possible.

Indeed. I also support adoption of this draft.

---

From: "Short, Todd" <[email-masked]>
Date: Tue, 8 Aug 2017 14:11:52 +0000

+1 I support adoption of this draft.
--
-Todd Short
// [email-masked]<mailto:[email-masked]>
// "One if by land, two if by sea, three if by the Internet."

On Aug 8, 2017, at 3:25 AM, Loganaden Velvindron <[email-masked]<mailto:[email-masked]>> wrote:

On Tue, Aug 8, 2017 at 5:39 AM, Daniel Migault
<[email-masked]<mailto:[email-masked]>> wrote:
I am also in favor of adopting the draft
Yours,
Daniel

On Mon, Aug 7, 2017 at 4:28 PM, Mark D. Baushke <[email-masked]<mailto:[email-masked]>> wrote:

_______________________________________________
Curdle mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/curdle